<?php
/**
*	Author: Elime;
*	ICQ: 618878;
*	E-mail: elime4@gmail.com;
*/

require '../system/core.php';


/* Проверка прав доступа */
if(!$login) message('Ошибка авторизации!', '/panel/login.php');
if(!check_right($user['id'], 9, $db)) message('Недостаточно прав!', '/panel/index.php');


$count = $db->result("SELECT COUNT(*) FROM `users_log`");

/* Элементов на страницу */
$pnumber = $config['navigation'];

/* Адрес для постраничной навигации */
$url = URL.'/panel/log.php?page=';

$pagination = new Pagination($pnumber, $page, $count, $url); 


/* Если есть данные */
if($count > 0)
{
	/* Делаем запрос данных */
	$query = $db->query("SELECT `users_log`.*, `users`.`login` AS `login` FROM `users_log`, `users` WHERE `users_log`.`user_id`=`users`.`id` ORDER BY `id` DESC LIMIT ".$pagination->begin.", ".$pagination->pnumber);
	
	$array = array();
	while($result = $db->fetch($query))
	{
		/* Фильтруем */
		$result['login'] = out($result['login']);
		$result['action'] = out($result['action']);
		$result['time'] = timeformat($result['time']);
		$array[] = $result;
	}
	$data['result'] = $array;
}


/* Выводим страницу */
$data['title'] = 'Логи действий';
$data['count'] = $count;
$data['navigation'] = $pagination->Navigation();
$tpl->display('panel/log', $data);
?>